diff --git a/pgadmin/dlg/dlgProperty.cpp b/pgadmin/dlg/dlgProperty.cpp
index 14f3d49..0dba1cc 100644
--- a/pgadmin/dlg/dlgProperty.cpp
+++ b/pgadmin/dlg/dlgProperty.cpp
@@ -245,7 +245,10 @@ int dlgProperty::Go(bool modal)
 {
 	wxASSERT(factory != 0);
 
-	obj = mainForm->GetBrowser()->GetObject(mainForm->GetBrowser()->GetSelection());
+	if(GetObject())
+		obj = GetObject();
+	else
+		obj = mainForm->GetBrowser()->GetObject(mainForm->GetBrowser()->GetSelection());
 
 	// restore previous position and size, if applicable
 	wxString prop = wxT("Properties/") + wxString(factory->GetTypeName());
